import { Connection } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
export declare function listProfiles(conn: any): Promise<any>;
export declare function getRecordTypeId(recordTypeInfo: {
    sObjectType: string;
    developerName: string;
}, conn: any): Promise<any>;
export declare function promptProfiles(conn: Connection, options?: any): Promise<any>;
export declare function promptOrg(commandThis: SfCommand<any>, options?: any): Promise<any>;
export declare function promptOrgList(options?: {
    promptMessage?: string;
}): Promise<any>;
export declare function makeSureOrgIsConnected(targetOrg: string | any): Promise<any>;
export declare function promptOrgUsernameDefault(commandThis: any, defaultOrg: string, options?: any): Promise<any>;
export declare function promptUserEmail(promptMessage?: string | null): Promise<any>;
export declare function authenticateWithSfdxUrlStore(org: any): Promise<void>;
export declare function managePackageConfig(installedPackages: any, packagesToInstallCompleted: any, filterStandard?: boolean): Promise<void>;
export declare function installPackages(installedPackages: any[], orgAlias: string): Promise<void>;
export declare function initOrgMetadatas(configInfo: any, orgUsername: string, orgAlias: string, projectScratchDef: any, debugMode: boolean, options?: any): Promise<void>;
export declare function initPermissionSetAssignments(permSets: Array<any>, orgUsername: string): Promise<void>;
export declare function initApexScripts(orgInitApexScripts: Array<any>, orgAlias: string): Promise<void>;
export declare function initOrgData(initDataFolder: string, orgUsername: string): Promise<void>;
export declare function getOrgAliasUsername(alias: string): Promise<any>;
export declare function isProductionOrg(targetUsername: string, options: any): Promise<boolean>;
export declare function isSandbox(options: any): Promise<boolean>;
export declare function isScratchOrg(options: any): Promise<boolean>;
export declare function setConnectionVariables(conn: any, handleTechnical?: boolean): Promise<void>;
